stages:
  - prep
  - build
  - test

variables:
  GIT_USER_NM: Rahul Gauba
  GIT_USER_EMAIL: gauba.rahul@gmail.com
  
setup code envt: 
  stage: prep
  script:
    - git config --global user.name "Rahul Gauba"
    - git config --global user.email "gauba.rahul@gmail.com"
    - echo $CI_COMMIT_SHORT_SHA
    
build code:
  stage: build
  script:
    - echo "Building Hello World"
    - gcc helloworld.c -o hello
    - chmod +x hello
    - ls -l hello
    - mkdir build
    - cp hello ./build/
    - ls -l ./build/
  artifacts:
    paths:
      - build/

test code:
  stage: test
  when: manual
  allow_failure: false
  script:
    - echo "Running HelloWorld"
    - cd build/
    - ./hello
  artifacts:
    paths:
      - build/
